#define STRICT
#include <windows.h>
#include <windowsx.h>
#pragma hdrstop

#include "avitest.rh"
#include "avidlg.h"

HINSTANCE inst;

LRESULT FAR PASCAL _export WndProc( HWND, UINT , WPARAM, LPARAM );

//#pragma argsused
int PASCAL WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpszCmd, int nCmdShow)
{
	 static char szAppName[] = "AviTest" ;
	 HWND        hwnd ;
	 MSG         msg ;
	 WNDCLASS    wndclass ;
	 HANDLE    hAccel;
	inst = hInstance;
   if (!hPrevInstance)
   {
      wndclass.style         = CS_HREDRAW | CS_VREDRAW ;
      wndclass.lpfnWndProc   = (WNDPROC)WndProc ;
      wndclass.cbClsExtra    = 0 ;
      wndclass.cbWndExtra    = 0 ;
			wndclass.hInstance     = hInstance ;
			wndclass.hIcon         = LoadIcon( NULL, IDI_APPLICATION );
      wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW) ;
      wndclass.hbrBackground = (HBRUSH)(COLOR_WINDOW + 1);
			wndclass.lpszMenuName  = "COMMANDS";
      wndclass.lpszClassName = szAppName ;

      RegisterClass (&wndclass) ;
  }

	hwnd = CreateWindow (szAppName,
		"AVI DLL Test Program",
		WS_OVERLAPPEDWINDOW,
		CW_USEDEFAULT,
		CW_USEDEFAULT,
		CW_USEDEFAULT,
		CW_USEDEFAULT,
		NULL,
		NULL,
		hInstance,
		NULL) ;
													 ~
	 ShowWindow (hwnd, SW_NORMAL) ;

	 while (GetMessage (&msg, NULL, 0, 0))
	 {
			TranslateMessage (&msg) ;
			DispatchMessage (&msg) ;
	 }
	 return msg.wParam ;
}

LRESULT FAR PASCAL _export WndProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	switch (message)
	{
		case WM_COMMAND:
		{
			switch (GET_WM_COMMAND_ID(wParam, lParam))
			{
				case CM_ABOUT :
					// call our dll about box
					AviDlg(hWnd, "Kent's Test Program", "Version 1.1",
						"May 17, 1995", "d:\\funstuff\\larger\\3titewad.avi");
					break;
				case CM_QUIT :
					DestroyWindow(hWnd);
					break;
			}
		}
		break;
		case WM_QUIT:
		case WM_DESTROY:  // message: window being destroyed
			PostQuitMessage(0);
			break;

		default:      // Passes it on if unproccessed
    return (DefWindowProc(hWnd, message, wParam, lParam));
  }
  return (NULL);
}

